package ch.epfl.tpp.sol.image;

import ch.epfl.tpp.sol.Point;

public abstract class AbstractImage implements Image {
    @Override
    public boolean containsPoint(Point p) {
        return (0 <= p.x() && p.x() < width())
                && (0 <= p.y() && p.y() < height());
    }
    
    protected void checkContainedPoint(Point p) {
        if (!containsPoint(p))
            throw new IllegalArgumentException("point "+ p +" does not belong to image of width "+ width() +" and height "+ height());
    }
}
