package ch.epfl.tpp.sol.image;


import ch.epfl.tpp.sol.Color;
import ch.epfl.tpp.sol.Point;

public interface Image {
    public double width();
    public double height();
    public boolean containsPoint(Point p);
    public Color colorAtPoint(Point p);
    
    public static final Image EMPTY_IMAGE = new Image() {
        @Override
        public double width() {
            return 0;
        }

        @Override
        public double height() {
            return 0;
        }

        @Override
        public boolean containsPoint(Point p) {
            return false;
        }

        @Override
        public Color colorAtPoint(Point p) {
            throw new IllegalArgumentException("empty image does not contain any point");
        }
    };
}
